# Generated by Django 3.2.5 on 2021-07-18 04:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('djangostatuspage', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='StatusPage',
            fields=[
                ('status_page_id', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
                ('systems', models.ManyToManyField(blank=True, related_name='status_papges', to='djangostatuspage.System')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Issue',
            fields=[
                ('issue_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('original_issue_id', models.CharField(max_length=255)),
                ('title', models.CharField(max_length=255)),
                ('severity', models.CharField(blank=True, choices=[('Outage', 'Major outage'), ('Degraded', 'Degraded performance'), ('Minor', 'Minor')], max_length=32, null=True)),
                ('description', models.TextField(blank=True)),
                ('status', models.CharField(choices=[('New', 'New'), ('Ivestigation', 'Under Investigation'), ('Resolved', 'Resolved'), ('Closed', 'Closed')], default='N', max_length=64)),
                ('is_resolved', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('resolved_at', models.DateTimeField(blank=True, default=None, null=True)),
                ('system', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='issues', to='djangostatuspage.system')),
            ],
        ),
        migrations.AddIndex(
            model_name='issue',
            index=models.Index(fields=['original_issue_id'], name='djangostatu_origina_0078e8_idx'),
        ),
    ]
